# Module dirs

internal directory management

### Introduction

The dirs module defines a small set of functions to store and manage directories.

### Functions

recent(idx) | Get entry from recent directories list based on index.
pop(num) | Remove the specified amount of dirs from the recent directories list.
peak(num) | Look at `num` amount of recent directories, starting from the latest.
push(dir) | Add `dir` to the recent directories list.
setOld(d) | Sets the old directory string.

#### dirs.setOld(d)

Sets the old directory string.

##### Parameters

`d` `string`

#### dirs.push(dir)

Add `dir` to the recent directories list.

##### Parameters

`dir` `string`

#### dirs.peak(num)

Look at `num` amount of recent directories, starting from the latest. This returns a table of recent directories, up to the `num` amount.

##### Parameters

`num` `number`

#### dirs.pop(num)

Remove the specified amount of dirs from the recent directories list.

##### Parameters

`num` `number`

#### dirs.recent(idx)

Get entry from recent directories list based on index.

##### Parameters

`idx` `number`